Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.marshalling.impl
Class JBPMMessages.ProcessInstance.NodeInstanceContent.Builder

    java.lang.Object
      com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
          com.google.protobuf.AbstractMessage.Builder<BuilderType>
              com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.Builder>
                  org.jbpm.marshalling.impl.JBPMMessages.ProcessInstance.NodeInstanceContent.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder

Enclosing class:
  JBPMMessages.ProcessInstance.NodeInstanceContent

    public static final class JBPMMessages.ProcessInstance.NodeInstanceContent.Builder

extends com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.Builder>
implements JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder

Method Summary
`JBPMMessages.ProcessInstance.NodeInstanceContent` | `build()`
`JBPMMessages.ProcessInstance.NodeInstanceContent` | `buildPartial()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `clear()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `clearComposite()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `clearEvent()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `clearForEach()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `clearHumanTask()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `clearJoin()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `clearMilestone()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `clearRuleSet()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `clearState()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `clearSubProcess()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `clearTimer()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `clearType()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `clearWorkItem()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `clone()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode` | `getComposite()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `getCompositeBuilder()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder` | `getCompositeOrBuilder()`
`JBPMMessages.ProcessInstance.NodeInstanceContent` | `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.EventNode` | `getEvent()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.EventNode.Builder` | `getEventBuilder()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.EventNodeOrBuilder` | `getEventOrBuilder()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode` | `getForEach()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder` | `getForEachBuilder()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder` | `getForEachOrBuilder()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode` | `getHumanTask()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode.Builder` | `getHumanTaskBuilder()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNodeOrBuilder` | `getHumanTaskOrBuilder()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode` | `getJoin()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder` | `getJoinBuilder()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNodeOrBuilder` | `getJoinOrBuilder()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode` | `getMilestone()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder` | `getMilestoneBuilder()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNodeOrBuilder` | `getMilestoneOrBuilder()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode` | `getRuleSet()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `getRuleSetBuilder()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder` | `getRuleSetOrBuilder()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode` | `getState()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode.Builder` | `getStateBuilder()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.StateNodeOrBuilder` | `getStateOrBuilder()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode` | `getSubProcess()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder` | `getSubProcessBuilder()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNodeOrBuilder` | `getSubProcessOrBuilder()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.TimerNode` | `getTimer()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.TimerNode.Builder` | `getTimerBuilder()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.TimerNodeOrBuilder` | `getTimerOrBuilder()`
`JBPMMessages.ProcessInstance.NodeInstanceType` | `getType()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode` | `getWorkItem()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder` | `getWorkItemBuilder()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNodeOrBuilder` | `getWorkItemOrBuilder()`
`boolean` | `hasComposite()`
`boolean` | `hasEvent()`
`boolean` | `hasForEach()`
`boolean` | `hasHumanTask()`
`boolean` | `hasJoin()`
`boolean` | `hasMilestone()`
`boolean` | `hasRuleSet()`
`boolean` | `hasState()`
`boolean` | `hasSubProcess()`
`boolean` | `hasTimer()`
`boolean` | `hasType()`
`boolean` | `hasWorkItem()`
`protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
`boolean` | `isInitialized()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `mergeComposite(JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode value)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `mergeEvent(JBPMMessages.ProcessInstance.NodeInstanceContent.EventNode value)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `mergeForEach(JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode value)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `mergeFrom(JBPMMessages.ProcessInstance.NodeInstanceContent other)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `mergeFrom(com.google.protobuf.Message other)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `mergeHumanTask(JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode value)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `mergeJoin(JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode value)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `mergeMilestone(JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode value)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `mergeRuleSet(JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode value)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `mergeState(JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode value)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `mergeSubProcess(JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode value)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `mergeTimer(JBPMMessages.ProcessInstance.NodeInstanceContent.TimerNode value)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `mergeWorkItem(JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode value)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setComposite(JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder builderForValue)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setComposite(JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode value)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setEvent(JBPMMessages.ProcessInstance.NodeInstanceContent.EventNode.Builder builderForValue)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setEvent(JBPMMessages.ProcessInstance.NodeInstanceContent.EventNode value)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setForEach(JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder builderForValue)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setForEach(JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode value)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setHumanTask(JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode.Builder builderForValue)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setHumanTask(JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode value)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setJoin(JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder builderForValue)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setJoin(JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode value)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setMilestone(JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder builderForValue)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setMilestone(JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode value)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setRuleSet(JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder builderForValue)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setRuleSet(JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode value)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setState(JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode.Builder builderForValue)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setState(JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode value)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setSubProcess(JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder builderForValue)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setSubProcess(JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode value)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setTimer(JBPMMessages.ProcessInstance.NodeInstanceContent.TimerNode.Builder builderForValue)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setTimer(JBPMMessages.ProcessInstance.NodeInstanceContent.TimerNode value)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setType(JBPMMessages.ProcessInstance.NodeInstanceType value)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setWorkItem(JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder builderForValue)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setWorkItem(JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode value)`

Methods inherited from class com.google.protobuf.GeneratedMessage.Builder
`addRepeatedField, clearField, getAllFields, getField, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

Methods inherited from class com.google.protobuf.AbstractMessage.Builder
`mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder
`addAll, newUninitializedMessageException`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`getAllFields, getField, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

Method Detail

### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

  Specified by:
    `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.Builder>`

### clear

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder clear()

  Specified by:
    `clear` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `clear` in interface `com.google.protobuf.MessageLite.Builder`
  Overrides:
    `clear` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.Builder>`

### clone

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder clone()

  Specified by:
    `clone` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `clone` in interface `com.google.protobuf.MessageLite.Builder`
  Overrides:
    `clone` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.Builder>`

### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

  Specified by:
    `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
  Overrides:
    `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.Builder>`

### getDefaultInstanceForType

    public JBPMMessages.ProcessInstance.NodeInstanceContent getDefaultInstanceForType()

  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

    public JBPMMessages.ProcessInstance.NodeInstanceContent build()

  Specified by:
    `build` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

    public JBPMMessages.ProcessInstance.NodeInstanceContent buildPartial()

  Specified by:
    `buildPartial` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### mergeFrom

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder mergeFrom(com.google.protobuf.Message other)

  Specified by:
    `mergeFrom` in interface `com.google.protobuf.Message.Builder`
  Overrides:
    `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.Builder>`

### mergeFrom

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder mergeFrom(JBPMMessages.ProcessInstance.NodeInstanceContent other)

### isInitialized

    public final boolean isInitialized()

  Specified by:
    `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Overrides:
    `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.Builder>`

### mergeFrom

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                       throws IOException

  Specified by:
    `mergeFrom` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
  Overrides:
    `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.Builder>`
  Throws:
    `IOException`

### hasType

    public boolean hasType()

  Specified by:
    `hasType` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### getType

    public JBPMMessages.ProcessInstance.NodeInstanceType getType()

  Specified by:
    `getType` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### setType

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setType(JBPMMessages.ProcessInstance.NodeInstanceType value)

### clearType

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder clearType()

### hasRuleSet

    public boolean hasRuleSet()

  Specified by:
    `hasRuleSet` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### getRuleSet

    public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode getRuleSet()

  Specified by:
    `getRuleSet` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### setRuleSet

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setRuleSet(JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode value)

### setRuleSet

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setRuleSet(JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder builderForValue)

### mergeRuleSet

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder mergeRuleSet(JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode value)

### clearRuleSet

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder clearRuleSet()

### getRuleSetBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder getRuleSetBuilder()

### getRuleSetOrBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder getRuleSetOrBuilder()

  Specified by:
    `getRuleSetOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### hasHumanTask

    public boolean hasHumanTask()

  Specified by:
    `hasHumanTask` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### getHumanTask

    public JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode getHumanTask()

  Specified by:
    `getHumanTask` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### setHumanTask

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setHumanTask(JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode value)

### setHumanTask

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setHumanTask(JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode.Builder builderForValue)

### mergeHumanTask

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder mergeHumanTask(JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode value)

### clearHumanTask

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder clearHumanTask()

### getHumanTaskBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode.Builder getHumanTaskBuilder()

### getHumanTaskOrBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNodeOrBuilder getHumanTaskOrBuilder()

  Specified by:
    `getHumanTaskOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### hasWorkItem

    public boolean hasWorkItem()

  Specified by:
    `hasWorkItem` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### getWorkItem

    public JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode getWorkItem()

  Specified by:
    `getWorkItem` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### setWorkItem

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setWorkItem(JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode value)

### setWorkItem

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setWorkItem(JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder builderForValue)

### mergeWorkItem

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder mergeWorkItem(JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode value)

### clearWorkItem

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder clearWorkItem()

### getWorkItemBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder getWorkItemBuilder()

### getWorkItemOrBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNodeOrBuilder getWorkItemOrBuilder()

  Specified by:
    `getWorkItemOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### hasSubProcess

    public boolean hasSubProcess()

  Specified by:
    `hasSubProcess` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### getSubProcess

    public JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode getSubProcess()

  Specified by:
    `getSubProcess` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### setSubProcess

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setSubProcess(JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode value)

### setSubProcess

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setSubProcess(JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder builderForValue)

### mergeSubProcess

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder mergeSubProcess(JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode value)

### clearSubProcess

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder clearSubProcess()

### getSubProcessBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder getSubProcessBuilder()

### getSubProcessOrBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNodeOrBuilder getSubProcessOrBuilder()

  Specified by:
    `getSubProcessOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### hasMilestone

    public boolean hasMilestone()

  Specified by:
    `hasMilestone` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### getMilestone

    public JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode getMilestone()

  Specified by:
    `getMilestone` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### setMilestone

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setMilestone(JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode value)

### setMilestone

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setMilestone(JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder builderForValue)

### mergeMilestone

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder mergeMilestone(JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode value)

### clearMilestone

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder clearMilestone()

### getMilestoneBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder getMilestoneBuilder()

### getMilestoneOrBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNodeOrBuilder getMilestoneOrBuilder()

  Specified by:
    `getMilestoneOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### hasEvent

    public boolean hasEvent()

  Specified by:
    `hasEvent` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### getEvent

    public JBPMMessages.ProcessInstance.NodeInstanceContent.EventNode getEvent()

  Specified by:
    `getEvent` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### setEvent

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setEvent(JBPMMessages.ProcessInstance.NodeInstanceContent.EventNode value)

### setEvent

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setEvent(JBPMMessages.ProcessInstance.NodeInstanceContent.EventNode.Builder builderForValue)

### mergeEvent

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder mergeEvent(JBPMMessages.ProcessInstance.NodeInstanceContent.EventNode value)

### clearEvent

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder clearEvent()

### getEventBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.EventNode.Builder getEventBuilder()

### getEventOrBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.EventNodeOrBuilder getEventOrBuilder()

  Specified by:
    `getEventOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### hasTimer

    public boolean hasTimer()

  Specified by:
    `hasTimer` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### getTimer

    public JBPMMessages.ProcessInstance.NodeInstanceContent.TimerNode getTimer()

  Specified by:
    `getTimer` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### setTimer

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setTimer(JBPMMessages.ProcessInstance.NodeInstanceContent.TimerNode value)

### setTimer

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setTimer(JBPMMessages.ProcessInstance.NodeInstanceContent.TimerNode.Builder builderForValue)

### mergeTimer

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder mergeTimer(JBPMMessages.ProcessInstance.NodeInstanceContent.TimerNode value)

### clearTimer

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder clearTimer()

### getTimerBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.TimerNode.Builder getTimerBuilder()

### getTimerOrBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.TimerNodeOrBuilder getTimerOrBuilder()

  Specified by:
    `getTimerOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### hasJoin

    public boolean hasJoin()

  Specified by:
    `hasJoin` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### getJoin

    public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode getJoin()

  Specified by:
    `getJoin` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### setJoin

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setJoin(JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode value)

### setJoin

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setJoin(JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder builderForValue)

### mergeJoin

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder mergeJoin(JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode value)

### clearJoin

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder clearJoin()

### getJoinBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder getJoinBuilder()

### getJoinOrBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNodeOrBuilder getJoinOrBuilder()

  Specified by:
    `getJoinOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### hasState

    public boolean hasState()

  Specified by:
    `hasState` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### getState

    public JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode getState()

  Specified by:
    `getState` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### setState

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setState(JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode value)

### setState

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setState(JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode.Builder builderForValue)

### mergeState

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder mergeState(JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode value)

### clearState

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder clearState()

### getStateBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode.Builder getStateBuilder()

### getStateOrBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.StateNodeOrBuilder getStateOrBuilder()

  Specified by:
    `getStateOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### hasComposite

    public boolean hasComposite()

  Specified by:
    `hasComposite` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### getComposite

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode getComposite()

  Specified by:
    `getComposite` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### setComposite

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setComposite(JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode value)

### setComposite

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setComposite(JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder builderForValue)

### mergeComposite

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder mergeComposite(JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode value)

### clearComposite

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder clearComposite()

### getCompositeBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder getCompositeBuilder()

### getCompositeOrBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder getCompositeOrBuilder()

  Specified by:
    `getCompositeOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### hasForEach

    public boolean hasForEach()

  Specified by:
    `hasForEach` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### getForEach

    public JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode getForEach()

  Specified by:
    `getForEach` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### setForEach

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setForEach(JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode value)

### setForEach

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setForEach(JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder builderForValue)

### mergeForEach

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder mergeForEach(JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode value)

### clearForEach

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder clearForEach()

### getForEachBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder getForEachBuilder()

### getForEachOrBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder getForEachOrBuilder()

  Specified by:
    `getForEachOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.